Bug 467279 - simple systemtap script failing to compile
simple systemtap script failing to compile
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-16 12:59 EDT by Jeff Layton
Modified: 2014-06-18 03:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-16 03:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2008-10-16 12:59:47 EDT
I'm looking at an upstream problem, and wrote a simple systemtap script to do a probe on module_put():

probe kernel.function("module_put")

...it fails to compile with something that looks like an internal systemtap problem.

In file included from /usr/share/systemtap/runtime/transport/transport.c:20,
                 from /usr/share/systemtap/runtime/print.c:17,
                 from /usr/share/systemtap/runtime/runtime.h:82,
                 from /tmp/stapUEZQ00/stap_67a9a6be0a4462f6441f740715946de0_479.c:41:
/usr/share/systemtap/runtime/time.c: In function '_stp_init_time':
/usr/share/systemtap/runtime/time.c:240: error: too many arguments to function 'on_each_cpu'
make[1]: *** [/tmp/stapUEZQ00/stap_67a9a6be0a4462f6441f740715946de0_479.o] Error 1

Some relevant info:

# rpm -qa systemtap\*

# rpm -qa kernel\* | grep 27-13

...full output from stap -vvv module_put.stap is attached.
Comment 1 Frank Ch. Eigler 2008-10-17 16:36:22 EDT
It has been reported that this bug is fixed in git systemtap
(via a runtime autoconf test); we just need to spin an update
for fedora.
Comment 2 Jeff Layton 2008-10-28 13:40:15 EDT
Setting sev/pri to high for purely selfish reasons :)
Comment 3 Mark Wielaard 2008-10-28 14:12:25 EDT
Upstream fix is:

commit c2ffad100c432176c537aca673b796a7605cad1c
Author: Josh Stone <joshua.i.stone@intel.com>
Date:   Thu Jul 24 12:40:45 2008 -0700

    Fix on_each_cpu() call for kernels >2.6.26.
    This is a generalization of the patch from James Bottomley:
    The on_each_cpu() change was merged *after* the 2.6.26 release, so I'm
    using an autoconf test instead of James' version check.
Comment 4 Bug Zapper 2008-11-25 22:55:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 5 Mark Wielaard 2009-01-16 03:38:28 EST
The patch from comment #3 was incorporated in a newer version of the systemtap package for Fedora.

Note You need to log in before you can comment on or make changes to this bug.